﻿.wrapper,
.content {
    position: relative;
    width: 100%;
    z-index: 1;
}

.content {
    overflow-x: hidden;
}

    .content::-webkit-scrollbar {
        width: 0;
    }

    .content .section {
        width: 100%;
        height: 100vh;
    }

        .content .section.hero {
            background-position: center center;
            background-repeat: no-repeat;
            background-size: cover;
            position: relative;
            z-index: 1;
        }

.gradient-purple {
    background: var(--gradient-purple-haze);
}

.gradient-blue {
    background: var(--color-ui-gradient);
}

.video-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

.image-container {
    width: 100%;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 2;
    perspective: 500px;
    overflow: hidden;
}

    .image-container img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center center;
    }

.custom {
    position: relative;
    z-index: 2;
    height: 100% !important;
}
.video_main {
    margin-top: 150px;
}
/* 指定容器样式 */
.swiper-container {
    position: relative;
    padding: 30px 0;
    margin-left: 65px;
    width: 261px;
    /* 设置容器的宽度 */
    max-height: 674px;
    /* 设置容器的高度 */
    /* 居中显示 */
    background: #eee;
    /* 原本 body 的背景色 */
    font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
    /* 原本 body 的字体 */
    font-size: 14px;
    background: #000;
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    overflow:hidden;
}

    .swiper-slide video {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
.mySwiper .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.shortSwiper .swiper-slide img {
    display: block;
    position: relative;
    left: -375px;
    max-height: 652px;
    object-fit: cover;
}

.swiper_prev {
    position: absolute;
    top: -19px;
    left: 50%;
    transform: translateX(-50%);
    color: #fff;
    font-size: 43px;
    cursor: pointer;
}

.swiper_next {
    position: absolute;
    bottom: -20px;
    color: #fff;
    font-size: 43px;
    left: 50%;
    transform: translateX(-50%);
    cursor: pointer;
}

.swiper_main {
    display: flex;
    width: 100%;

}

.swiper-show {
    width: 50%;
    flex: 1;
    max-height:674px;
    color: #000;
    border-radius:5px;
    overflow:hidden;
}
.swiper_shortVideo{
    margin-top:150px;
    text-transform:uppercase;
}
    .swiper_shortVideo{
        color:#fff;
        text-align:center;
    }
.vmTitle{
    margin-bottom:35px;
}
.ssTitle{
    margin-bottom:60px;
}
.swiper_shortVideo p:first-child {
    margin-bottom: 12px;
    font-weight: 500;
    font-size: 26px;
    line-height: 30px;
    color: #BBF408;
}
.social_main{
    padding-left:106px;
    padding-bottom:231px;
}
#onlyVideo {
    display: none;
}
.swiper-button-next{
    color:#fff;
}
.swiper-slide a {
    width:100%;
}
.swiper_shortVideo p:nth-child(2) {
    font-weight: 900;
    font-size: 50px;
    line-height: 58px;
    letter-spacing:3px;
}
.social_swiper {
    position: absolute;
    bottom: 42px;
    left: 39px;
    color: #fff;
    text-align: left;
    pointer-events: none;
    z-index:1;
}
.social_swiper div:first-child{
    margin-bottom:24px;
    font-size:32px;
    height:32px;
}
    .social_swiper div:nth-child(2) {
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        overflow: hidden;
        font-weight: 600;
        line-height: 32px;
        font-size: 26px;
    }
.pro_mask {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
    width: 200px;
    height: 100%;
    background: linear-gradient(to left, #000, rgba(0, 0, 0, 0));
/*    opacity: 0.1;*/
    pointer-events: none;
}
.pro_maskItem {
    width: 100%;
    height: 100%;
    position: absolute;
    pointer-events: none;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.0));
}
    @media (max-width: 780px) {
        .section {
            height: 100vh;
        }

        .image-container img {
            width: 100%;
            height: 210px;
        }

        .video-background {
            width: 100%;
            height: 287px;
        }

        #specialEffects {
            display: none;
        }

        #onlyVideo {
            display: block;
            pointer-events: none;
        }

        .onlyVideo {
            display: block;
        }

        .video_main {
            margin: 0;
        }

        .swiper_shortVideo {
            margin-top: 0;
        }

        .swiper_main {
            flex-direction: column;
        }

        .swiper-show {
            width: 100%;
        }

        .swiper-container {
            width: unset;
            margin: 0;
            padding: 30px;
        }

        .swiper_next {
            bottom: unset;
            left: unset;
            top: 54%;
            right: -2%;
            transform: translateY(-50%) rotate(-90deg);
        }

        .swiper_prev {
            top: 39%;
            left: 2%;
            transform: translateX(-50%) rotate(-90deg);
        }

        .social_main {
            padding-left: 15px;
        }

       

        .swiper_shortVideo p:nth-child(2) {
            font-size: 30px;
            line-height: 30px;
        }

        .ssTitle {
            font-size: 30px;
        }

        .social_swiper > div:last-child {
            font-size: 18px;
            line-height: 20px;
        }
        .pro_mask {
            width:0;
        }
    }

    @media screen and (min-width: 780px) and (max-width:1300px) {
        .video_main {
            margin-top: 50px;
        }

        .swiper_shortVideo {
            margin-top: 50px;
        }
    }
